---@meta

---@class IBPI_Interact_C : IInterface
local IBPI_Interact_C = {}

---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
function IBPI_Interact_C:GetAttachedToPlayerInteractionTexts(PickedUpPlayerInteractions) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
---@param IMC UInputMappingContext
function IBPI_Interact_C:GetPickedUpPlayerInteractionTexts(PickedUpPlayerInteractions, IMC) end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function IBPI_Interact_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param UseCustomBrush boolean
---@param Brush FSlateBrush
function IBPI_Interact_C:GetCustomCrosshair(UseCustomBrush, Brush) end
---@param PickUpObject UObject
---@param Success boolean
function IBPI_Interact_C:IsAttachPointBlocking(PickUpObject, Success) end
function IBPI_Interact_C:StopCooking() end
---@param Heat int32
function IBPI_Interact_C:StartCooking(Heat) end
---@param PlacementTransform FTransform
---@param Success boolean
function IBPI_Interact_C:PlaceActor(PlacementTransform, Success) end
---@param ImpulseStrength FVector
---@param Location FVector
---@param Success boolean
function IBPI_Interact_C:AddImpulseAtLocation(ImpulseStrength, Location, Success) end
---@param IsPickupable boolean
function IBPI_Interact_C:IsPickupable(IsPickupable) end
---@param Success boolean
function IBPI_Interact_C:ShouldUseHoldTransform(Success) end
---@param Success boolean
---@param DisplayName FText
function IBPI_Interact_C:GetDisplayName(Success, DisplayName) end
---@param InstigatingPlayer ABP_FirstPersonCharacter_C
---@param Success boolean
function IBPI_Interact_C:SecondaryInteract(InstigatingPlayer, Success) end
---@param TagsToAdd FGameplayTagContainer
---@param TagsToRemove FGameplayTagContainer
function IBPI_Interact_C:AssignGamePlayTags(TagsToAdd, TagsToRemove) end
---@param ImpulseStrength FVector
---@param Success boolean
function IBPI_Interact_C:AddImpulse(ImpulseStrength, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param Success boolean
function IBPI_Interact_C:StopInteract(PlayerCharacter, HitResult, Success) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function IBPI_Interact_C:CallBackSecondaryFire(Player, Stop) end
---@param RepairTarget AActor
---@param RepairTool ABP_Interactable_Actor_C
---@param Success boolean
function IBPI_Interact_C:Repair(RepairTarget, RepairTool, Success) end
---@param Success boolean
---@param AcceptedDamageTypes FGameplayTagContainer
function IBPI_Interact_C:GetAcceptedDamageTypes(Success, AcceptedDamageTypes) end
---@param FPPOffset FTransform
---@param TPPOffset FTransform
---@param Success boolean
function IBPI_Interact_C:GetAttachOffset(FPPOffset, TPPOffset, Success) end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function IBPI_Interact_C:GetVisuals(Mesh, DynamicMaterial) end
---@param ThirdPersonDummyClass TSubclassOf<ABP_ThirdPersonDummy_C>
function IBPI_Interact_C:GetThirdPersonDummyClass(ThirdPersonDummyClass) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function IBPI_Interact_C:CallBackPrimaryFire(Player, Stop) end
---@param Success boolean
function IBPI_Interact_C:Explode(Success) end
---@param Success boolean
---@param CharacterPose E_CharacterPose::Type
---@param CharacterPoseAnim UAnimSequenceBase
function IBPI_Interact_C:GetCharacterPose(Success, CharacterPose, CharacterPoseAnim) end
---@param NewTransform FTransform
---@param Success boolean
function IBPI_Interact_C:SetNewAttachTransform(NewTransform, Success) end
---@param AttachParent AActor
---@param Success boolean
---@param CustomAttachTransform FTransform
function IBPI_Interact_C:GetCustomAttachTransform(AttachParent, Success, CustomAttachTransform) end
---@param Success boolean
---@param CustomAttachComponent USceneComponent
function IBPI_Interact_C:GetCustomAttachComponent(Success, CustomAttachComponent) end
---@param Success boolean
---@param AttachPointState FGameplayTag
function IBPI_Interact_C:GetAttachPointState(Success, AttachPointState) end
---@param AttachPointState FGameplayTag
---@param Success boolean
function IBPI_Interact_C:SetAttachPointState(AttachPointState, Success) end
---@param Success boolean
---@param AttachType FGameplayTagContainer
function IBPI_Interact_C:GetObjectAttachType(Success, AttachType) end
---@param PickUpObject UObject
---@param Success boolean
function IBPI_Interact_C:CanPickUpObjectBeAttachedToLookAtObject(PickUpObject, Success) end
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageResults FST_Damage_Results
---@param Success boolean
function IBPI_Interact_C:Hit(ActorHitting, Hit, ImpulseVector, DamageResults, Success) end
---@param destroy boolean
---@param Success boolean
function IBPI_Interact_C:ForceDetach(destroy, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param Success boolean
function IBPI_Interact_C:ForceAttach(Parent, RelativeTransform, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param PlayerAttaching ABP_FirstPersonCharacter_C
---@param SocketName FName
---@param Success boolean
function IBPI_Interact_C:AttachByPlayer(Parent, RelativeTransform, PlayerAttaching, SocketName, Success) end
---@param Success boolean
function IBPI_Interact_C:SetAttachedPhysicsState(Success) end
---@param Success boolean
---@param Transform FTransform
function IBPI_Interact_C:GetCustomHoldTransform(Success, Transform) end
---@param Success boolean
function IBPI_Interact_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
function IBPI_Interact_C:SetPickedUpPhysicsState(Success) end
---@param Success boolean
---@param PrimitiveComponent UPrimitiveComponent
function IBPI_Interact_C:GetPhysicsMesh(Success, PrimitiveComponent) end
---@param Player ABP_FirstPersonCharacter_C
---@param BlockInteraction boolean
function IBPI_Interact_C:BlockInteraction(Player, BlockInteraction) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function IBPI_Interact_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end


